<%@ include file="/WEB-INF/taglibs.jspf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:style url="/css/buttons.bar.css" />
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- My Account > Contacts --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="account.manage.title"/></tags:link>
    > <fmt:message key="AddressBook.title" />
</div><br/>

<h1><fmt:message key="AddressBook.title" /></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/ManageContacts" />
    <form action="${actionUrl}" method="post" id="itemsform">
        <div id="buttonsbar">
            <tags:input type="submit" name="additem"><jsp:attribute name="value"><fmt:message key="button.add.item"/></jsp:attribute></tags:input>&nbsp;
            <tags:input type="submit" name="deleteitem" disabled="true"><jsp:attribute name="value"><fmt:message key="button.delete"/></jsp:attribute></tags:input>
        </div>

        <jsp:useBean id="addressBookViewHelper" type="com.jscape.inet.mft.transport.web.accounts.addressbook.AddressBookHelper" scope="request"/>
        <c:set var="managedItems" value="${addressBookViewHelper.managedContactsVO}" />
        <table class="data" id="itemslist">
            <col width="1%"/><col width="19%"><col width="30%"/><col span="2" width="25%"/>
            <thead>
                <tr><tags:input type="checkbox" name="all" id="selectall" value="true" disabled="${fn:length(managedItems) == 0}">
                    <jsp:attribute name="template">
                        <th>${inputTag}</th>
                    </jsp:attribute>
                    </tags:input>
                    <th><fmt:message key="header.name"/></th>
                    <th><fmt:message key="header.company"/></th>
                    <th><fmt:message key="header.email"/></th>
                    <th><fmt:message key="header.owner"/></th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="contact" items="${managedItems}">
                    <tr>
                        <td><tags:input type="checkbox" name="h" value="${contact.hash}"/></td>
                        <td><tags:link encodeUrl="${false}">
                                <jsp:attribute name="url">
                                    <c:url value="/accounts/EditContact">
                                        <c:param name="h" value="${contact.hash}" />
                                    </c:url>
                                </jsp:attribute>
                                <jsp:body>
                                    <c:out value="${contact.name}"/>
                                </jsp:body>
                            </tags:link></td>
                        <td><c:out value="${contact.company}" /></td>
                        <td><c:out value="${contact.emailAddress}" /></td>
                        <td><c:out value="${contact.owner}" /></td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
    </form>
</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>
<%@ include file="js/init.jspf"%>

</body>
</html>