<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/account/adhoc" prefix="adhoc" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:style url="/css/buttons.bar.css" />
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- My Account > Ad-Hoc Emails --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="account.manage.title" /></tags:link>
    > <fmt:message key="AdHocTransfer.title.manage" />
</div><br/>

<h1><fmt:message key="AdHocTransfer.title.manage" /></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/ManageTransfers" />
    <form action="${actionUrl}" method="post" id="itemsform">
        <input type="hidden" name="newexpires" id="newexpires" />
        <div id="buttonsbar">
            <tags:button name="revokeitem" id="revokeitem" icon="/img/revokebtn.gif" labelkey="AdHocTransfer.button.revoke" disabled="true"/>&nbsp;
            <tags:button name="extenditem" id="extenditem" icon="/img/extendbtn.gif" labelkey="AdHocTransfer.button.extend" disabled="true"/>
        </div>

        <jsp:useBean id="viewHelper" type="com.jscape.inet.mft.subsystems.adhoctransfer.web.ViewHelper" scope="request"/>
        <c:set var="managedItems" value="${viewHelper.managedItemsVO}" />
        <table class="data" id="itemslist">
            <col width="1%"/><col width="14%" /><col width="34%"/><col width="25%"/><col width="8%" span="2"/><col width="10%"/>
            <thead>
                <tr><tags:input type="checkbox" name="all" id="selectall" value="true" disabled="${fn:length(managedItems) == 0}">
                    <jsp:attribute name="template">
                        <th>${inputTag}</th>
                    </jsp:attribute>
                    </tags:input>
                    <th><fmt:message key="AdHocTransfer.header.date"/></th>
                    <th><fmt:message key="AdHocTransfer.header.subject"/></th>
                    <th><fmt:message key="AdHocTransfer.header.recipient"/></th>
                    <th><fmt:message key="AdHocTransfer.header.files"/></th>
                    <th><fmt:message key="AdHocTransfer.header.downloads"/></th>
                    <th><fmt:message key="AdHocTransfer.header.status"/></th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="item" items="${managedItems}">
                    <tr>
                        <td><tags:input type="checkbox" name="h" value="${item.id}"/></td>
                        <td><span class="erasable">${item.dispatchDate.time}</span><tags:link encodeUrl="${false}">
                                <jsp:attribute name="url">
                                    <c:url value="/accounts/EditTransfer">
                                        <c:param name="h" value="${item.id}"/>
                                    </c:url>
                                </jsp:attribute>
                            <jsp:body>
                                <fmt:formatDate value="${item.dispatchDate}" type="both" pattern="MMM dd yyyy HH:mm:ss"/>
                            </jsp:body>
                        </tags:link></td>
                        <td><c:out value="${item.subject}" /></td>
                        <td><c:out value="${item.recipient}"/></td>
                        <td><c:out value="${fn:length(item.files)}" /></td>
                        <td><c:out value="${item.downloadCount}" /></td>
                        <td class="ac"><adhoc:status item="${item}" /></td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
    </form>
</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>
<%@ include file="js/init-manage.jspf"%>

</body>
</html>