<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="dlp" tagdir="/WEB-INF/tags/account/dlp" %>
<%@ include file="/WEB-INF/taglibs.jspf" %>


<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request"/>
<jsp:setProperty name="viewHelper" property="userId" param="id"/>
<jsp:setProperty name="viewHelper" property="resourceId" param="vpid"/>
<c:set var="managedDlpEntriesVO" value="${viewHelper.managedDlpEntriesVO}" scope="request" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="VirtualPath.DLP.settingsTitle"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf"%>
    <script type="text/javascript">if (top == self) { top.location.href = '<c:url value="/" />'; }</script>
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf" %>
<tags:responseResult result="${requestScope.responseResult}" />

<c:url var="actionUrl" value="/accounts/DataLossPrevention" />
<form action="${actionUrl}" id="dlpform" method="post">
    <tags:input type="hidden" name="id" value="${viewHelper.managedUserVO.id}"/>
    <tags:input type="hidden" name="vpid" value="${viewHelper.managedResourceVO.id}"/>
    <tags:input type="hidden" name="save" value="true"/>
    <input type="hidden" name="dlplistorder" id="dlplistorder"/>

    <p><fmt:message key="VirtualPath.DLP.settingsInfo"/></p>
    <table class="data">
        <col width="1%"/><col width="40%"/><colgroup span="2" align="center"><col width="14%"/><col width="45%"/></colgroup>
        <thead><tr>
            <th><tags:input type="checkbox" name="selectall" id="selectall" value="true" disabled="${fn:length(managedDlpEntriesVO) == 0}"/></th>
            <th><fmt:message key="VirtualPath.DLP.ruleHeader"/></th>
            <th><fmt:message key="VirtualPath.DLP.enabledHeader"/></th>
            <th><fmt:message key="VirtualPath.DLP.accessHeader"/></th>
        </tr></thead>
        <tbody>
        <c:forEach var="entry" items="${managedDlpEntriesVO}">
            <tags:input type="checkbox" name="dlpid" value="${entry.id}" id="dlp${entry.id}">
                <jsp:attribute name="label">
                    <c:out value="${entry.rule}"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${inputTag}</td><td>${labelTag}</td><td class="ac">${entry.enabled}</td><td class="ac"><dlp:access value="${entry.access}"/></td></tr>
                </jsp:attribute>
            </tags:input>
        </c:forEach>
        </tbody>
    </table>

    <div id="buttonsbar">
        <tags:input type="submit" name="moveup" disabled="false"><jsp:attribute name="value"><fmt:message key="button.up"/></jsp:attribute></tags:input>
        <tags:input type="submit" name="movedown" disabled="false"><jsp:attribute name="value"><fmt:message key="button.down"/></jsp:attribute></tags:input>
        <span style="float:right;">
        <tags:input type="submit" name="additem"><jsp:attribute name="value"><fmt:message key="button.add"/></jsp:attribute></tags:input>
        <tags:input type="submit" name="edititem" disabled="false"><jsp:attribute name="value"><fmt:message key="button.edit"/></jsp:attribute></tags:input>
        <tags:input type="submit" name="deleteitem" disabled="false"><jsp:attribute name="value"><fmt:message key="button.delete"/></jsp:attribute></tags:input>
        </span>
    </div>

</form>

</body>
</html>