<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>
<%@ include file="/WEB-INF/jsp/account/admin/header.jspf" %>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request"/>
<jsp:setProperty name="viewHelper" property="resourceId" param="vpid"/>
<c:set var="managedUser" value="${viewHelper.managedUserVO}" scope="request"/>
<c:set var="managedResource" value="${viewHelper.managedResourceVO}" scope="request"/>
<c:set var="resourcePermissions" value="${managedResource.permissions}" scope="request" />
<c:set var="isFormSubmission" value="${'POST' eq fn:toUpperCase(pageContext.request.method) and not empty param['save']}" scope="request"/>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > Edit user account > Edit Path --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title"/></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title"/></tags:link>
    > <account:link url="/accounts/EditUser" account="${managedUser}">
        <fmt:message key="admin.edit.user.title"><fmt:param value="${fn:escapeXml(managedUser.login)}"/></fmt:message>
    </account:link>
    > <fmt:message key="admin.edit.path.title"><fmt:param value="${fn:escapeXml(managedResource.path)}"/></fmt:message>
</div>
<br/>

<h1><fmt:message key="admin.edit.path.title">
        <fmt:param value="${fn:escapeXml(viewHelper.managedResourceVO.path)}"/>
</fmt:message></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}"/>

    <c:url var="actionUrl" value="/accounts/EditPath"/>
    <form action="${actionUrl}" method="post">
        <tags:input type="hidden" name="id" value="${managedUser.id}" />
        <tags:input type="hidden" name="vpid" value="${managedResource.id}"/>
        <tags:input type="hidden" name="path" value="${managedResource.path}"/>
        <table class="layout">
            <%@ include file="virtual.jspf" %>
        </table><br/><%@ include file="js/init.jspf"%>

        <fieldset>
            <%@ include file="permissions.jspf" %>
        </fieldset>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok"/>
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel"/>
                </jsp:attribute>
            </tags:input></p>
    </form>

</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>