<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="account" tagdir="/WEB-INF/tags/account" %>
<%@ include file="/WEB-INF/jsp/account/admin/header.jspf"%>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request" />
<c:set var="managedUser" value="${viewHelper.managedUserVO}" scope="request" />

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > Edit user account > Add IP Access --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <account:link url="/accounts/EditUser" account="${managedUser}">
        <fmt:message key="admin.edit.user.title"><fmt:param value="${fn:escapeXml(managedUser.login)}" /></fmt:message>
    </account:link>
    > <fmt:message key="Account.IPAccess.title.add" />
</div><br/>

<h1><fmt:message key="Account.IPAccess.title.add"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/AddIPAccess" />
    <form action="${actionUrl}" method="post">
        <tags:input type="hidden" name="id" value="${managedUser.id}" />
        <table class="layout">
            <tags:input type="text" name="mask" value="${param.mask}" required="true" size="40">
                <jsp:attribute name="label">
                    <fmt:message key="Account.IPAccess.label.mask" />
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>

            <tags:input type="text" name="reason" value="${param.reason}" size="40">
                <jsp:attribute name="label">
                    <fmt:message key="Account.IPAccess.label.reason" />
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>

            <tr>
                <td><tags:label><fmt:message key="Account.IPAccess.label.access" /></tags:label></td>
                <td><tags:input type="radio" name="access" id="accessallowed" value="allowed">
                        <jsp:attribute name="label"><fmt:message key="Account.IPAccess.access.allowed" /></jsp:attribute>
                        <jsp:attribute name="selected"><c:out value="${param.access}" default="allowed" /></jsp:attribute>
                    </tags:input><br/>
                    <tags:input type="radio" name="access" id="accessdenied" value="denied" selected="${param.access}">
                        <jsp:attribute name="label"><fmt:message key="Account.IPAccess.access.denied" /></jsp:attribute>
                    </tags:input>
                </td>
            </tr>
        </table><br />

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>