<%@ include file="/WEB-INF/taglibs.jspf" %>
<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.subsystems.adhoctransfer.web.ViewHelper" scope="request" />
<jsp:useBean id="transferDetails" type="com.jscape.inet.mft.AdHocTransferDetails" scope="request" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <script type="text/javascript">if (top == self) { top.location.href = '<c:url value="/" />'; }</script>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf" %>
    <title><fmt:message key="EmailFile.title"/></title>
    <tags:style url="/css/base.css" />
    <%@ include file="js/init-compose.jspf"%>
</head>
<body>

<div id="compose">
<tags:responseResult result="${requestScope.responseResult}"/>

<c:url var="actionUrl" value="/action/EmailFile" />
<form action="${actionUrl}" method="post" accept-charset="utf-8" name="emailfile" id="emailfile">
    <tags:input type="hidden" name="send" value="true" />
    <c:forEach var="filename" items="${transferDetails.files}">
        <tags:input type="hidden" name="filename" value="${filename}" />
    </c:forEach>

    <table class="layout" width="100%">
        <%--<tags:input type="text" name="to" required="true" value="${fn:join(transferDetails.recipients, ', ')}">--%>
        <tags:input type="text" name="to" required="true" value="${param.to}">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.recipient"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}&nbsp;<tags:image source="/img/addressbook.gif" id="clbtn"/>&nbsp;<tags:image source="/img/addressbook_add.gif" id="claddbtn"/></td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="from" required="true" size="45">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.sender"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
            <jsp:attribute name="value">
                <c:out value="${transferDetails.sender}" default="${viewHelper.defaults.sender}" />
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="subject" required="true">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.subject"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
            <jsp:attribute name="value">
                <c:out value="${transferDetails.subject}" default="${viewHelper.defaults.subject}" />
            </jsp:attribute>
        </tags:input>

        <tags:input type="textarea" name="message" rows="7" cols="59" value="${transferDetails.message}">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.message"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="vt">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tr>
            <td class="vt"><tags:label><fmt:message key="EmailFile.label.files"/></tags:label></td>
            <td><div id="filelist">
                <c:forEach var="item" items="${requestScope.fileListPreview}"><c:out value="${item}"/><br/></c:forEach></div>
            </td>
        </tr>

        <c:if test="${viewHelper.requestPasswordFromUser}">
            <%@ include file="protect-with-password.jspf" %>
        </c:if>

        <tags:select name="expires" begin="${viewHelper.linkExpiresRange.lowerBound}" end="${viewHelper.linkExpiresRange.upperBound}" step="${viewHelper.linkExpiresRange.step}">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.expiresPeriod"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${selectTag}&nbsp;<fmt:message key="EmailFile.label.expiresPeriodUnit"/></td></tr>
            </jsp:attribute>
            <jsp:attribute name="selected">
                <c:out value="${transferDetails.expireAfterDays}" default="${viewHelper.linkExpiresRange.upperBound}" />
            </jsp:attribute>
        </tags:select>

        <c:set var="maxDownloads">${transferDetails.maxDownloads > 0 ? transferDetails.maxDownloads : viewHelper.defaults.maxDownloads}</c:set>
        <c:set var="maxDownloadsEnabled" value="${param.emaxdl and maxDownloads > 0}" />

        <tags:input type="checkbox" name="emaxdl" value="true" checked="${param.emaxdl}">
            <jsp:attribute name="label"><fmt:message key="EmailFile.label.maxDownloads"/></jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${inputTag}&nbsp;${labelTag}</td><td><tags:input type="text" name="maxdownloads" size="6">
                    <jsp:attribute name="value">${maxDownloads}</jsp:attribute>
                    <jsp:attribute name="disabled">${!maxDownloadsEnabled}</jsp:attribute>
                </tags:input></td></tr>
            </jsp:attribute>
        </tags:input>

        <tr><td colspan="2"><tags:input type="checkbox" name="deleteaftermaxdownloads" value="true">
            <jsp:attribute name="label"><fmt:message key="EmailFile.label.deleteAfterMaxDownloads"/></jsp:attribute>
            <jsp:attribute name="checked">${transferDetails.deleteAfterMaxDownloads}</jsp:attribute>
            <jsp:attribute name="disabled">${!maxDownloadsEnabled}</jsp:attribute>
        </tags:input></td></tr>
    </table>
</form>
</div>

</body>
</html>


