<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>

<jsp:useBean id="viewHelper" scope="request" type="com.jscape.inet.mft.transport.web.accounts.LoginViewHelper" />


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="Application.TITLE"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/login.css" />
</head>
<body>

<%@ include file="logo.jspf" %>
<h1><fmt:message key="Login.TITLE"/></h1>
<p><fmt:message key="Login.INFO" /></p>

<tags:responseResult result="${requestScope.responseResult}">
    <jsp:attribute name="errorTitle"><fmt:message key="Error.MESSAGE_TITLE"/></jsp:attribute>
</tags:responseResult>

<div id="login">
    <c:url var="loginUrl" value="${not empty requestScope.loginActionUrl ? requestScope.loginActionUrl : '/action/login'}" />
    <form action="${loginUrl}" method="post" accept-charset="utf-8" id="loginform">
        <account:domain-input name="domain" config="${viewHelper.configuration}" domainNames="${fn:split('','')}">
            <c:if test="${isHiddenInput}">${domainInput}</c:if>
        </account:domain-input>
        <c:if test="${not empty param.continue}">
            <tags:input type="hidden" name="continue" value="${param.continue}"/>
        </c:if>

        <table>
            <account:domain-input name="domain" config="${viewHelper.configuration}" domainNames="${viewHelper.domainNames}" size="25">
                <c:if test="${not isHiddenInput}">
                    <tr><td>${domainLabel}</td><td>${domainInput}</td></tr>
                </c:if>
            </account:domain-input>

            <tags:input type="text" name="username" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.USERNAME"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
                <jsp:attribute name="value">
                    ${not empty param.username ? param.username : requestScope.username}
                </jsp:attribute>
            </tags:input>

            <tags:input type="password" name="password" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.PASSWORD"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table><br/>

        <c:if test="${viewHelper.showUserInterface}">
            <%@ include file="userInterface.jspf"%>
        </c:if>

        <tags:button icon="/img/login.gif" labelkey="Button.LOGIN" />

        <c:if test="${viewHelper.showLostPassword}">
            <div class="spacer"> </div>
            <tags:link url="/LostPassword" id="lostpassword">
                <fmt:message key="Link.LOST_PASSWORD" />
            </tags:link>
        </c:if>
    </form>

    <div id="footer"><fmt:message key="Login.FOOTER" /></div>
</div>
<script type="text/javascript">
    function jsc_focus(){var f=document.getElementById&&document.getElementById('loginform');var ch=f?[f.domain,f.username,f.password]:[];while(ch.length){var el=ch.shift();if(el&&el.getAttribute('type')!='hidden'&&!el.value){el.focus();break;}}}
    window.onload=jsc_focus;
</script>
<%@ include file="/WEB-INF/jspf/footer.jspf" %>