<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>

<jsp:useBean id="viewHelper" scope="request" type="com.jscape.inet.mft.transport.web.accounts.LoginViewHelper" />


<%@ include file="../header.jspf" %>
<div id="container">
    <h1><fmt:message key="LostPassword.TITLE"/></h1>
    <p><fmt:message key="LostPassword.INFO"/></p>

    <tags:responseResult result="${requestScope.responseResult}">
        <jsp:attribute name="errorTitle"><fmt:message key="Error.MESSAGE_TITLE"/></jsp:attribute>
    </tags:responseResult>

    <c:url var="actionUrl" value="/LostPassword"/>
    <form action="${actionUrl}" method="post" accept-charset="utf-8">
        <account:domain-input name="domain" config="${viewHelper.configuration}" domainNames="${fn:split('','')}">
            <c:if test="${isHiddenInput}">${domainInput}</c:if>
        </account:domain-input>

        <table cellpadding="3" border="0">
            <account:domain-input name="domain" config="${viewHelper.configuration}" domainNames="${viewHelper.domainNames}" size="30">
                <c:if test="${not isHiddenInput}">
                    <tr><td>${domainLabel}</td><td>${domainInput}</td></tr>
                </c:if>
            </account:domain-input>

            <tags:input type="text" name="username" required="true" value="${param.username}" size="30">
                <jsp:attribute name="label">
                    <fmt:message key="Label.USERNAME"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table><br/>

        <p><tags:input type="submit" name="reset">
                <jsp:attribute name="value">
                    <fmt:message key="Button.RESET_PASSWORD"/>
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">
                <jsp:attribute name="value">
                    <fmt:message key="Button.CANCEL"/>
                </jsp:attribute>
            </tags:input>
        </p>
    </form>
</div>


<%@ include file="/WEB-INF/jspf/footer.jspf" %>