<%@ tag body-content="scriptless" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ attribute name="name" required="true" type="java.lang.String" %>
<%@ attribute name="config" required="true" type="com.jscape.inet.mft.management.common.WebConfiguration" %>
<%@ attribute name="domainNames" required="true" type="java.lang.String[]" %>
<%@ attribute name="size" %>
<%@ variable name-given="domainLabel" scope="NESTED" %>
<%@ variable name-given="domainInput" scope="NESTED" %>
<%@ variable name-given="isHiddenInput" variable-class="java.lang.Boolean" scope="NESTED" %>

<c:set var="selectedDomain" value="${not empty param[name] ? param[name] : (not empty config.defaultDomain ? config.defaultDomain : requestScope[name])}"/>
<c:set var="isHiddenInput" value="false"/>

<c:choose>
    <c:when test="${config.domainVisible and config.domainDropdown and fn:length(domainNames) != 0}">
        <tags:select name="${name}" required="true" items="${domainNames}" selected="${selectedDomain}">
            <jsp:attribute name="label">
                <fmt:message key="Label.DOMAIN"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <c:set var="domainLabel" value="${labelTag}"/>
                <c:set var="domainInput" value="${selectTag}"/>
            </jsp:attribute>
        </tags:select>
    </c:when>

    <c:when test="${not config.domainVisible and not empty config.defaultDomain}">
        <c:set var="isHiddenInput" value="true"/>

        <tags:input type="hidden" name="${name}" value="${config.defaultDomain}">
            <jsp:attribute name="label">
                <fmt:message key="Label.DOMAIN"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <c:set var="domainLabel" value="${labelTag}" />
                <c:set var="domainInput" value="${inputTag}"/>
            </jsp:attribute>
        </tags:input>
    </c:when>

    <c:otherwise>
        <tags:input type="text" name="${name}" required="true" size="${size}" value="${selectedDomain}">
            <jsp:attribute name="label">
                <fmt:message key="Label.DOMAIN"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <c:set var="domainLabel" value="${labelTag}" />
                <c:set var="domainInput" value="${inputTag}"/>
            </jsp:attribute>
        </tags:input>
    </c:otherwise>
</c:choose>

<jsp:doBody />