<%@ tag body-content="empty" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>
<%@ attribute name="name" required="true" description="Field name" %>
<%@ attribute name="items" description="Comma separated file types" required="true" %>
<%@ attribute name="selected" %>

<jsp:useBean id="keyFileTypesMap" class="java.util.HashMap" scope="application">
    <c:set target="${keyFileTypesMap}" property="jks"><fmt:message key="KeyManager.file.type.jks" /></c:set>
    <c:set target="${keyFileTypesMap}" property="pem"><fmt:message key="KeyManager.file.type.pem" /></c:set>
    <c:set target="${keyFileTypesMap}" property="pkcs8"><fmt:message key="KeyManager.file.type.pkcs8" /></c:set>
    <c:set target="${keyFileTypesMap}" property="pkcs12"><fmt:message key="KeyManager.file.type.pkcs12" /></c:set>
    <c:set target="${keyFileTypesMap}" property="putty"><fmt:message key="KeyManager.file.type.putty" /></c:set>
    <c:set target="${keyFileTypesMap}" property="ssh"><fmt:message key="KeyManager.file.type.ssh" /></c:set>
    <c:set target="${keyFileTypesMap}" property="x509"><fmt:message key="KeyManager.file.type.x509" /></c:set>
</jsp:useBean>

<c:forEach var="item" items="${fn:split(items, ',')}">
    <c:set var="key" value="${fn:trim(item)}" />
    <c:set var="value" value="${keyFileTypesMap[fn:toLowerCase(key)]}" />
    <tags:input type="radio" name="${name}" id="${key}" value="${key}" label="${value}" selected="${selected}" />
</c:forEach>
