<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>
<%@ attribute name="currentDir" required="true" %>

<c:set var="pathSeparator" value="/" scope="application"/>
<jsp:useBean id="breadcrumbs" scope="request" class="java.util.LinkedHashMap" />
<c:set target="${breadcrumbs}" property="${pathSeparator}" value="${pathSeparator}" />
<c:if test="${empty currentDir}">
    <c:set var="currentDir" value="${pathSeparator}" />
</c:if>

<c:set var="position" value="${0}"/>
<c:forEach var="element" items="${fn:split(currentDir, pathSeparator)}">
    <c:set var="position" value="${position + fn:length(element) + fn:length(pathSeparator)}" />
    <c:set var="path" value="${fn:substring(currentDir, 0, position)}" />

    <c:set target="${breadcrumbs}" property="${path}" value="${element}" />
</c:forEach>


<c:forEach var="entry" items="${breadcrumbs}" varStatus="status">
    <c:choose>
        <c:when test="${entry.key eq currentDir}"><span><c:out value="${entry.value}" /></span></c:when>
        <c:otherwise><file:link name="${entry.value}" path="${entry.key}" directory="true" /></c:otherwise>
    </c:choose>
    <c:if test="${not status.first and not status.last}"><c:out value="${pathSeparator}" /></c:if>
</c:forEach>

