<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ attribute name="name" required="true" type="java.lang.String" %>
<%@ attribute name="format" required="true" type="java.lang.String" %>
<%@ attribute name="value" type="java.lang.Object" %>
<%@ attribute name="formatData" type="java.lang.Boolean" description="Default value - true" %>
<%@ attribute name="label" %>
<%@ attribute name="required" type="java.lang.Boolean" %>
<%@ attribute name="disabled" type="java.lang.Boolean" %>
<%@ attribute name="template" fragment="true" %>
<%@ variable name-given="labelTag" scope="NESTED" %>
<%@ variable name-given="inputTag" scope="NESTED" %>
<%@ variable name-given="formatTag" scope="NESTED" %>

<c:if test="${empty value}">
    <jsp:useBean id="value" class="java.util.Date" scope="page"/>
</c:if>
<c:if test="${(empty formatData or formatData) and value.class.simpleName eq 'Date'}">
    <fmt:formatDate var="value" pattern="${format}" value="${value}" />
</c:if>
<c:set var="formatTag"><span class="desc">${fn:escapeXml(format)}</span></c:set>


<tags:input type="text" name="${name}" label="${label}" required="${required}" disabled="${disabled}" value="${value}" autocomplete="off">
    <jsp:attribute name="template"><jsp:invoke fragment="template" /></jsp:attribute>
</tags:input>

