var AccountQuotaController = Class.create({

    view: null,

    _constructor: function() {
        this.view = new AccountQuotaView();
    },

    start: function() {
        this.view.show({
            onUploadStateChanged: this._handleUploadStateChanged.bind(this),
            onDownloadStateChanged: this._handleDownloadStateChanged.bind(this),
            onTransferStateChanged: this._handleTransferStateChanged.bind(this)
        })
    },

    _handleUploadStateChanged: function(view) {
        if (view.isUploadQuotaEnabled()) {
            view.setTransferQuotaEnabled(false);
        }
    },

    _handleDownloadStateChanged: function(view) {
        if (view.isDownloadQuotaEnabled()) {
            view.setTransferQuotaEnabled(false);
        }
    },

    _handleTransferStateChanged: function(view) {
        if (view.isTransferQuotaEnabled()) {
            view.setUploadQuotaEnabled(false);
            view.setDownloadQuotaEnabled(false);
        }
    }

});