var AddAccountView = Class.create(AccountView, {

    form: null,
    templateField: null,

    _constructor: function() {
        this.templateField = $("template");
        this.form = this.templateField.form;
    },

    getForm: function() {
        return this.form;
    },

    show: function(listener) {
        this._super.show.call(this, listener || new AddAccountView.Listener());
    },

    _handleTemplateChanged: function() {
        this.listener.onTemplateChanged(this);
    },

    _bindEvents: function() {
        this._super._bindEvents.apply(this, arguments);

        this.templateHandler = this._handleTemplateChanged.bind(this);
        Event.observe(this.templateField, "change", this.templateHandler);
    },

    _unbindEvents: function() {
        Event.unobserve(this.templateField, "change", this.templateHandler);
        this.templateHandler = null;

        this._super._unbindEvents.apply(this, arguments);
    }

});

AddAccountView.Listener = Class.create(AccountView.Listener, {
    onTemplateChanged: function(view) {}
});