var VirtualFileController = Class.create({

    config: null,
    dlpController: null,
    view: null,

    _constructor: function(config) {
        this.config = Object.extend(Object.extend({}, VirtualFileController.DEFAULT_CONFIG), config);
        this.dlpController = new DlpSettingsController(config);
    },

    start: function() {
        this.view = new VirtualFileView();
        this.view.show(Object.extend(new VirtualFileView.Listener(), {
            onPgpEncryptionSettings: this._handleShowPgpEncryptionSettings.bind(this),
            onDlpSettings: this._handleShowDlpSettings.bind(this)
        }));
    },

    _handleShowPgpEncryptionSettings: function() {
        var dialog = new FormDialog("PgpEncryptionSettingsDialog", this.config.pgpEncryptionSettingsUrl);
        dialog.setSize(550, 280);
        dialog.show(Object.extend(new FormDialog.Listener(), {
            onDone: function(d) { d.dispose(); },
            onCancel: function(d) { d.dispose(); }
        }));
    },

    _handleShowDlpSettings: function() {
        this.dlpController.start();
    }

});

VirtualFileController.DEFAULT_CONFIG = {pgpEncryptionSettingsUrl: "", dlpSettingsUrl: ""};